// TREE_NAME=Default;
//ROOT
#declare ROOTS=0;
#declare ROOT_RANDOM=1.3;
#declare FIRST_ROOT_AT_TRUNK=10;
#declare ROOT_LENGTH=100;
#declare ROOT_THICKNESS_CHANGE=0.5;
#declare ROOT_STRENGTH=1;
#declare ROOT_BEND=50;
#declare ROOT_BEND_FREQUENCY=1;
#declare ROOT_CURVE=0;
#declare ROOT_CURVE_FREQUENCY=0;
#declare ROOT_SNAG=0;
#declare ROOT_SNAG_FREQUENCY=0;
#declare ROOT_ANGLE=30;
#declare ROOT_ALIGNMENT=0.6;
#declare ROOT_TURN_SWITCH=1.0;
//TRUNK
#declare TRUNK_RADIUS=15;
#declare TRUNK_STRENGTH=0.5;
#declare TRUNK_BEND_X=10;
#declare TRUNK_BEND_X_FREQUENCY=1;
#declare TRUNK_BEND_Z=10;
#declare TRUNK_BEND_Z_FREQUENCY=1;
#declare TRUNK_CURVE=25;
#declare TRUNK_CURVE_FREQUENCY=4;
#declare TRUNK_SNAG=12;
#declare TRUNK_SNAG_FREQUENCY=2;
#declare TRUNK_SPIRAL=0;
#declare TRUNK_TAPER=0.5;
//BRANCH
#declare BRANCHES=3;
#declare BRANCH_RANDOM=0.3023;
#declare FIRST_BRANCH_AT_TRUNK=10;
#declare BRANCH_AREA_AT_TRUNK=50;
#declare BRANCH_THICKNESS_CHANGE=0.6;
#declare BRANCH_STRENGTH=1;
#declare BRANCH_BEND=30;
#declare BRANCH_BEND_FREQUENCY=1;
#declare HORIZONTAL_BRANCH_BEND_SWITCH=0;
#declare EXTRA_NOISE_SWITCH=0.0;
#declare BRANCH_CURVE=30;
#declare BRANCH_CURVE_FREQUENCY=2;
#declare HORIZONTAL_BRANCH_CURVE_SWITCH=1.0;
#declare BRANCH_LONGITUDINAL_CURVE=0;
#declare BRANCH_SNAG=0;
#declare BRANCH_SNAG_FREQUENCY=0;
#declare BRANCH_REDUCTION=0;
#declare BRANCH_TAPER=0.6;
#declare BRANCH_END_EQUALIZER=1;
#declare BRANCH_TIP=0;
#declare BRANCH_TURN_SWITCH=0.0;
#declare BRANCH_ALTERNATE_SWITCH=0.0;
#declare BRANCH_SPIRAL=0;
#declare BRANCH_ANGLE=30.0;
#declare BRANCH_ANGLE_SCOPE=0;
#declare BRANCH_ALIGNMENT=1;
#declare STRAIGHTEN_TOWARDS_TOP=0.6;
//TWIG
#declare TWIGS=6*BRANCHES;
#declare TWIG_RANDOM=0.3293;
#declare FIRST_TWIG_AT_BRANCH=40;
#declare TWIG_AREA_AT_BRANCH=120;
#declare TWIG_THICKNESS_CHANGE=0.6;
#declare TWIG_STRENGTH=1;
#declare HORIZONTAL_TWIG_ANGLE=20;
#declare HORIZONTAL_TWIG_ANGLE_SCOPE=0;
#declare HORIZONTAL_TWIG_ALIGNMENT=1;
#declare VERTICAL_TWIG_ANGLE=30;
#declare VERTICAL_TWIG_ANGLE_SCOPE=0;
#declare VERTICAL_TWIG_ALIGNMENT=1;
#declare TWIG_TURN_SWITCH=1.0;
#declare TWIG_ALTERNATE_SWITCH=1.0;
#declare TWIG_CURVE_ADJUSTMENT=1.0;
#declare TWIG_CURVE_FREQUENCY_ADJUSTMENT=1.0;
#declare TWIG_TAPER=1;
#declare TWIG_TIP=0;
#declare STRAIGHTEN_TOWARDS_BRANCH_END=0;
#declare TWIG_RAMIFICATION_ORDER=2;
#declare LAST_RAMIFICATION_NUMBER=1;
#declare TWIG_RAMIFICATION_THICKNESS_CHANGE=0.8;
#declare TWIG_RAMIFICATION_CURVE_ADJUSTMENT=0.5;
#declare RAMI_CURVE_FREQUENCY_ADJUSTMENT=1.0;
#declare TWIG_RAMIFICATION_STRENGTH=1;
//BUNCH
#declare BUNCHES=3*TWIGS;
#declare FIRST_BUNCH_AT_TWIG=10;
#declare BUNCH_AREA_AT_TWIG=200;
#declare BUNCH_MAJOR_RADIUS=150;
#declare BUNCH_MINOR_RADIUS=50;
#declare HORIZONTAL_BUNCH_FUNNEL=40;
#declare VERTICAL_BUNCH_FUNNEL=40;
#declare ROTATION_BUNCH_FUNNEL=0;
#declare HORIZONTAL_BUNCH_ANGLE=0;
#declare VERTICAL_BUNCH_ANGLE=0;
#declare HORIZONTAL_BUNCH_ANGLE_SCOPE=0;
#declare VERTICAL_BUNCH_ANGLE_SCOPE=0;
#declare BUNCH_TURN_SWITCH=1.0;
#declare BUNCH_TURN_SHIFT=1;
#declare BUNCH_ALTERNATE_SWITCH=1.0;
#declare HORIZONTAL_BUNCH_ALIGNMENT=0;
#declare VERTICAL_BUNCH_ALIGNMENT=0;
#declare BUNCH_TAPER_OFF_AT_TWIG=0;
#declare BUNCH_TAPER_OFF_AT_BRANCH=0;
#declare BUNCH_TAPER_OFF_AT_TREE=0;
#declare BUNCH_ARC_AT_TWIG=<0, 0, 0>;
#declare BUNCH_ARC_AT_BRANCH=<0, 0, 0>;
#declare BUNCH_DEFORM=<1, 1, 1>;
//BARK
#declare SUNKEN_TRUNK_COLOR=<0.4, 0.2, 0.0>;
#declare RAISED_TRUNK_COLOR=<0.6, 0.4, 0.0>;
#declare FOLIAGE_COLOR_AT_BRANCH_END=0;
#declare TRUNK_SCAR_WIDTH=1;
#declare TRUNK_SCAR_HEIGHT=5;
#declare HORIZONTAL_SCAR_SHRINKING=0.3;
#declare VERTICAL_SCAR_SHRINKING=1.5;
#declare SCAR_DEPTH=-1;
#declare BARK_PROFILE=0;
#declare BRANCH_BARK_PROFILE_CHANGE=0;
#declare BRANCH_BARK_PROFILE_TAPER_OFF=1;
#declare ROOT_BARK_PROFILE_CHANGE=0;
#declare PALM_TRUNK=0;
//FOLIAGE
#include "TOMLEAF.inc"
#declare Mesh4 = mesh {
	triangle{<0.375, 0.0, 0.5>, <1.0, 0.0, 0.0>, <0.0, 0.1, 0.25>}
	triangle{<0.0, 0.1, 0.25>, <1.0, 0.0, 0.0>, <0.07499996, 0.0, 2.9802322E-8>}
	triangle{<0.07499996, 0.0, 2.9802322E-8>, <1.0, 0.0, 0.0>, <-5.9604645E-8, 0.1, -0.25>}
	triangle{<-5.9604645E-8, 0.1, -0.25>, <1.0, 0.0, 0.0>, <0.37499994, 0.0, -0.5>}
};
#declare LEAF_TYPE=Mesh4;
#declare LEAVES=20*BUNCHES;
#declare LEAF_LENGTH=50;
#declare LEAF_BREADTH=40;
#declare LEAF_HEIGHT=1;
#declare MAX_LEAF_TILT=30;
#declare MAX_LEAF_TURN=30;
#declare LEAF_INCLINATION=30;
#declare LEAF_INCLINATION_SCOPE=30;
#declare BOTTOM_COLOR_1=<0.3, 0.54, 0.18>;
#declare BOTTOM_COLOR_2=<0.3, 0.54, 0.18>;
#declare TOP_COLOR_1=<0.3, 0.54, 0.18>;
#declare TOP_COLOR_2=<0.3, 0.54, 0.18>;
#declare COLOR_TURB=0.5;
#declare TRANSITION_BOTTOM_TOP=0.5;
#declare TRANSITION_TURB=0.5;
#declare FOLIAGE_GLOSS=0.1;
//BLOSSOM
#declare BlossomMesh5 = mesh {
	triangle{<0.2, 0.0, 0.0>, <0.29999998, 0.34471983, 0.41372478>, <0.29999998, -0.035702735, 0.53733164>}
	triangle{<0.2, 0.0, 0.0>, <0.29999998, -0.2869514, 0.45569602>, <0.3, -0.5220655, 0.13208927>}
	triangle{<0.2, 0.0, 0.0>, <0.3, -0.5220655, -0.13208918>, <0.3, -0.28695148, -0.45569602>}
	triangle{<0.2, 0.0, 0.0>, <0.3, -0.035702825, -0.53733164>, <0.3, 0.3447198, -0.41372487>}
	triangle{<0.2, 0.0, 0.0>, <0.3, 0.5, -0.2>, <0.3, 0.5, 0.2>}
};
#declare BLOSSOM=BlossomMesh5;
#declare BLOSSOMS=10*BUNCHES;
#declare BLOSSOM_LENGTH=40;
#declare BLOSSOM_WIDTH=40;
#declare BLOSSOM_INCLINATION=0;
#declare BLOSSOM_COLOR=<1, 1, 1>;
